Skip to main content
POST
Join Fleet

Path Parameters

fleet_id
string
required

Body

application/json

What a machine sends to join. Authorized by the token alone -- the operator running the command may have no platform account (ADR-0013).

token
string
required
protocol
integer
required
Required range: x >= 1
address
string
default:""
connection
string
default:grpc
Allowed value: "grpc"
node_version
string
default:""
inventory
NodeInventoryIn · object

Response

Successful Response

id
string
required
fleet_id
string
required
state
string
required
connection
string
required
credential
string
required

One-time Node control credential; store outside workload mounts

credential_expires_at
string
required
control_connected
boolean
default:false

An authenticated Node control session currently holds a live lease

address
string
default:""
inventory
Inventory · object
node_version
string
default:""
protocol
integer
default:0
issued_by
string
default:""
joined_from
string
default:""
last_seen_at
string | null
last_error
string
default:""
created_at
string | null
gateway_target
string
default:""
gateway_trust_pem
string
default:""

Public gateway CA certificates; never a private key

Maximum string length: 65536
warnings
string[]